# Makefile.in generated by automake 1.16.3 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#######################################################################
# dar - disk archive - a backup/restoration program
# Copyright (C) 2002-2022 Denis Corbin
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# to contact the author, see the AUTHOR file
#######################################################################


VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
noinst_PROGRAMS = test_hide_file$(EXEEXT) test_terminateur$(EXEEXT) \
	test_catalogue$(EXEEXT) test_infinint$(EXEEXT) \
	test_tronc$(EXEEXT) test_compressor$(EXEEXT) \
	test_mask$(EXEEXT) test_tuyau$(EXEEXT) test_deci$(EXEEXT) \
	test_path$(EXEEXT) test_erreurs$(EXEEXT) test_sar$(EXEEXT) \
	test_filesystem$(EXEEXT) test_scrambler$(EXEEXT) \
	test_generic_file$(EXEEXT) test_storage$(EXEEXT) \
	test_limitint$(EXEEXT) test_libdar$(EXEEXT) \
	test_cache$(EXEEXT) test_tronconneuse$(EXEEXT) \
	test_elastic$(EXEEXT) test_blowfish$(EXEEXT) \
	test_mask_list$(EXEEXT) test_escape$(EXEEXT) \
	test_hash_fichier$(EXEEXT) moving_file$(EXEEXT) \
	hashsum$(EXEEXT) test_crypto_asym$(EXEEXT) test_range$(EXEEXT) \
	$(am__EXEEXT_1) test_rsync$(EXEEXT) \
	test_smart_pointer$(EXEEXT) test_datetime$(EXEEXT) \
	test_entrepot_libcurl$(EXEEXT) test_truncate$(EXEEXT) \
	test_mycurl_param_list$(EXEEXT)
subdir = src/testing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/host-cpu-c-abi.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intlmacosx.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
@WITH_LIBTHREADAR_TRUE@am__EXEEXT_1 = test_heap$(EXEEXT) \
@WITH_LIBTHREADAR_TRUE@	test_parallel_tronconneuse$(EXEEXT) \
@WITH_LIBTHREADAR_TRUE@	test_block_compressor$(EXEEXT)
PROGRAMS = $(noinst_PROGRAMS)
am_hashsum_OBJECTS = hashsum-hashsum.$(OBJEXT)
hashsum_OBJECTS = $(am_hashsum_OBJECTS)
hashsum_LDADD = $(LDADD)
am__DEPENDENCIES_1 =
hashsum_DEPENDENCIES = ../libdar/$(MYLIB).la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
AM_V_lt = $(am__v_lt_@AM_V@)
am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
am__v_lt_0 = --silent
am__v_lt_1 = 
am_moving_file_OBJECTS = moving_file.$(OBJEXT)
moving_file_OBJECTS = $(am_moving_file_OBJECTS)
moving_file_LDADD = $(LDADD)
moving_file_DEPENDENCIES = ../libdar/$(MYLIB).la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_test_block_compressor_OBJECTS = test_block_compressor.$(OBJEXT)
test_block_compressor_OBJECTS = $(am_test_block_compressor_OBJECTS)
test_block_compressor_LDADD = $(LDADD)
am_test_blowfish_OBJECTS = test_blowfish.$(OBJEXT)
test_blowfish_OBJECTS = $(am_test_blowfish_OBJECTS)
test_blowfish_LDADD = $(LDADD)
am_test_cache_OBJECTS = test_cache.$(OBJEXT)
test_cache_OBJECTS = $(am_test_cache_OBJECTS)
test_cache_LDADD = $(LDADD)
am_test_catalogue_OBJECTS = test_catalogue.$(OBJEXT)
test_catalogue_OBJECTS = $(am_test_catalogue_OBJECTS)
test_catalogue_LDADD = $(LDADD)
am_test_compressor_OBJECTS = test_compressor.$(OBJEXT)
test_compressor_OBJECTS = $(am_test_compressor_OBJECTS)
test_compressor_LDADD = $(LDADD)
am_test_crypto_asym_OBJECTS = test_crypto_asym.$(OBJEXT)
test_crypto_asym_OBJECTS = $(am_test_crypto_asym_OBJECTS)
test_crypto_asym_LDADD = $(LDADD)
am_test_datetime_OBJECTS = test_datetime.$(OBJEXT)
test_datetime_OBJECTS = $(am_test_datetime_OBJECTS)
test_datetime_LDADD = $(LDADD)
am_test_deci_OBJECTS = test_deci.$(OBJEXT)
test_deci_OBJECTS = $(am_test_deci_OBJECTS)
test_deci_LDADD = $(LDADD)
am_test_elastic_OBJECTS = test_elastic.$(OBJEXT)
test_elastic_OBJECTS = $(am_test_elastic_OBJECTS)
test_elastic_LDADD = $(LDADD)
am_test_entrepot_libcurl_OBJECTS = test_entrepot_libcurl.$(OBJEXT)
test_entrepot_libcurl_OBJECTS = $(am_test_entrepot_libcurl_OBJECTS)
test_entrepot_libcurl_LDADD = $(LDADD)
am_test_erreurs_OBJECTS = test_erreurs.$(OBJEXT) testtools.$(OBJEXT)
test_erreurs_OBJECTS = $(am_test_erreurs_OBJECTS)
test_erreurs_LDADD = $(LDADD)
am_test_escape_OBJECTS = test_escape.$(OBJEXT)
test_escape_OBJECTS = $(am_test_escape_OBJECTS)
test_escape_LDADD = $(LDADD)
am_test_filesystem_OBJECTS = test_filesystem.$(OBJEXT)
test_filesystem_OBJECTS = $(am_test_filesystem_OBJECTS)
test_filesystem_LDADD = $(LDADD)
am_test_generic_file_OBJECTS = test_generic_file.$(OBJEXT)
test_generic_file_OBJECTS = $(am_test_generic_file_OBJECTS)
test_generic_file_LDADD = $(LDADD)
am_test_hash_fichier_OBJECTS = test_hash_fichier.$(OBJEXT)
test_hash_fichier_OBJECTS = $(am_test_hash_fichier_OBJECTS)
test_hash_fichier_LDADD = $(LDADD)
am_test_heap_OBJECTS = test_heap.$(OBJEXT)
test_heap_OBJECTS = $(am_test_heap_OBJECTS)
test_heap_LDADD = $(LDADD)
am_test_hide_file_OBJECTS = test_hide_file.$(OBJEXT)
test_hide_file_OBJECTS = $(am_test_hide_file_OBJECTS)
am__DEPENDENCIES_2 = ../libdar/$(MYLIB).la $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_test_infinint_OBJECTS = test_infinint.$(OBJEXT)
test_infinint_OBJECTS = $(am_test_infinint_OBJECTS)
test_infinint_LDADD = $(LDADD)
am_test_libdar_OBJECTS = test_libdar.$(OBJEXT)
test_libdar_OBJECTS = $(am_test_libdar_OBJECTS)
test_libdar_LDADD = $(LDADD)
am_test_limitint_OBJECTS = test_limitint-test_limitint.$(OBJEXT)
test_limitint_OBJECTS = $(am_test_limitint_OBJECTS)
test_limitint_LDADD = $(LDADD)
test_limitint_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
	$(test_limitint_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
am_test_mask_OBJECTS = test_mask.$(OBJEXT)
test_mask_OBJECTS = $(am_test_mask_OBJECTS)
test_mask_LDADD = $(LDADD)
am_test_mask_list_OBJECTS = test_mask_list.$(OBJEXT)
test_mask_list_OBJECTS = $(am_test_mask_list_OBJECTS)
test_mask_list_LDADD = $(LDADD)
am_test_mycurl_param_list_OBJECTS = test_mycurl_param_list.$(OBJEXT)
test_mycurl_param_list_OBJECTS = $(am_test_mycurl_param_list_OBJECTS)
test_mycurl_param_list_LDADD = $(LDADD)
am_test_parallel_tronconneuse_OBJECTS =  \
	test_parallel_tronconneuse.$(OBJEXT)
test_parallel_tronconneuse_OBJECTS =  \
	$(am_test_parallel_tronconneuse_OBJECTS)
test_parallel_tronconneuse_LDADD = $(LDADD)
am_test_path_OBJECTS = test_path.$(OBJEXT)
test_path_OBJECTS = $(am_test_path_OBJECTS)
test_path_LDADD = $(LDADD)
am_test_range_OBJECTS = test_range.$(OBJEXT)
test_range_OBJECTS = $(am_test_range_OBJECTS)
test_range_LDADD = $(LDADD)
am_test_rsync_OBJECTS = test_rsync.$(OBJEXT)
test_rsync_OBJECTS = $(am_test_rsync_OBJECTS)
test_rsync_LDADD = $(LDADD)
am_test_sar_OBJECTS = test_sar.$(OBJEXT) testtools.$(OBJEXT)
test_sar_OBJECTS = $(am_test_sar_OBJECTS)
test_sar_LDADD = $(LDADD)
am_test_scrambler_OBJECTS = test_scrambler.$(OBJEXT)
test_scrambler_OBJECTS = $(am_test_scrambler_OBJECTS)
am_test_smart_pointer_OBJECTS = test_smart_pointer.$(OBJEXT)
test_smart_pointer_OBJECTS = $(am_test_smart_pointer_OBJECTS)
test_smart_pointer_LDADD = $(LDADD)
am_test_storage_OBJECTS = test_storage.$(OBJEXT)
test_storage_OBJECTS = $(am_test_storage_OBJECTS)
test_storage_LDADD = $(LDADD)
am_test_terminateur_OBJECTS = test_terminateur.$(OBJEXT)
test_terminateur_OBJECTS = $(am_test_terminateur_OBJECTS)
test_terminateur_LDADD = $(LDADD)
am_test_tronc_OBJECTS = test_tronc.$(OBJEXT) testtools.$(OBJEXT)
test_tronc_OBJECTS = $(am_test_tronc_OBJECTS)
test_tronc_LDADD = $(LDADD)
am_test_tronconneuse_OBJECTS = test_tronconneuse.$(OBJEXT)
test_tronconneuse_OBJECTS = $(am_test_tronconneuse_OBJECTS)
test_tronconneuse_LDADD = $(LDADD)
am_test_truncate_OBJECTS = test_truncate.$(OBJEXT)
test_truncate_OBJECTS = $(am_test_truncate_OBJECTS)
test_truncate_LDADD = $(LDADD)
am_test_tuyau_OBJECTS = test_tuyau.$(OBJEXT)
test_tuyau_OBJECTS = $(am_test_tuyau_OBJECTS)
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/hashsum-hashsum.Po \
	./$(DEPDIR)/moving_file.Po \
	./$(DEPDIR)/test_block_compressor.Po \
	./$(DEPDIR)/test_blowfish.Po ./$(DEPDIR)/test_cache.Po \
	./$(DEPDIR)/test_catalogue.Po ./$(DEPDIR)/test_compressor.Po \
	./$(DEPDIR)/test_crypto_asym.Po ./$(DEPDIR)/test_datetime.Po \
	./$(DEPDIR)/test_deci.Po ./$(DEPDIR)/test_elastic.Po \
	./$(DEPDIR)/test_entrepot_libcurl.Po \
	./$(DEPDIR)/test_erreurs.Po ./$(DEPDIR)/test_escape.Po \
	./$(DEPDIR)/test_filesystem.Po \
	./$(DEPDIR)/test_generic_file.Po \
	./$(DEPDIR)/test_hash_fichier.Po ./$(DEPDIR)/test_heap.Po \
	./$(DEPDIR)/test_hide_file.Po ./$(DEPDIR)/test_infinint.Po \
	./$(DEPDIR)/test_libdar.Po \
	./$(DEPDIR)/test_limitint-test_limitint.Po \
	./$(DEPDIR)/test_mask.Po ./$(DEPDIR)/test_mask_list.Po \
	./$(DEPDIR)/test_mycurl_param_list.Po \
	./$(DEPDIR)/test_parallel_tronconneuse.Po \
	./$(DEPDIR)/test_path.Po ./$(DEPDIR)/test_range.Po \
	./$(DEPDIR)/test_rsync.Po ./$(DEPDIR)/test_sar.Po \
	./$(DEPDIR)/test_scrambler.Po \
	./$(DEPDIR)/test_smart_pointer.Po ./$(DEPDIR)/test_storage.Po \
	./$(DEPDIR)/test_terminateur.Po ./$(DEPDIR)/test_tronc.Po \
	./$(DEPDIR)/test_tronconneuse.Po ./$(DEPDIR)/test_truncate.Po \
	./$(DEPDIR)/test_tuyau.Po ./$(DEPDIR)/testtools.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_@AM_V@)
am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_@AM_V@)
am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_@AM_V@)
am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(hashsum_SOURCES) $(moving_file_SOURCES) \
	$(test_block_compressor_SOURCES) $(test_blowfish_SOURCES) \
	$(test_cache_SOURCES) $(test_catalogue_SOURCES) \
	$(test_compressor_SOURCES) $(test_crypto_asym_SOURCES) \
	$(test_datetime_SOURCES) $(test_deci_SOURCES) \
	$(test_elastic_SOURCES) $(test_entrepot_libcurl_SOURCES) \
	$(test_erreurs_SOURCES) $(test_escape_SOURCES) \
	$(test_filesystem_SOURCES) $(test_generic_file_SOURCES) \
	$(test_hash_fichier_SOURCES) $(test_heap_SOURCES) \
	$(test_hide_file_SOURCES) $(test_infinint_SOURCES) \
	$(test_libdar_SOURCES) $(test_limitint_SOURCES) \
	$(test_mask_SOURCES) $(test_mask_list_SOURCES) \
	$(test_mycurl_param_list_SOURCES) \
	$(test_parallel_tronconneuse_SOURCES) $(test_path_SOURCES) \
	$(test_range_SOURCES) $(test_rsync_SOURCES) \
	$(test_sar_SOURCES) $(test_scrambler_SOURCES) \
	$(test_smart_pointer_SOURCES) $(test_storage_SOURCES) \
	$(test_terminateur_SOURCES) $(test_tronc_SOURCES) \
	$(test_tronconneuse_SOURCES) $(test_truncate_SOURCES) \
	$(test_tuyau_SOURCES)
DIST_SOURCES = $(hashsum_SOURCES) $(moving_file_SOURCES) \
	$(test_block_compressor_SOURCES) $(test_blowfish_SOURCES) \
	$(test_cache_SOURCES) $(test_catalogue_SOURCES) \
	$(test_compressor_SOURCES) $(test_crypto_asym_SOURCES) \
	$(test_datetime_SOURCES) $(test_deci_SOURCES) \
	$(test_elastic_SOURCES) $(test_entrepot_libcurl_SOURCES) \
	$(test_erreurs_SOURCES) $(test_escape_SOURCES) \
	$(test_filesystem_SOURCES) $(test_generic_file_SOURCES) \
	$(test_hash_fichier_SOURCES) $(test_heap_SOURCES) \
	$(test_hide_file_SOURCES) $(test_infinint_SOURCES) \
	$(test_libdar_SOURCES) $(test_limitint_SOURCES) \
	$(test_mask_SOURCES) $(test_mask_list_SOURCES) \
	$(test_mycurl_param_list_SOURCES) \
	$(test_parallel_tronconneuse_SOURCES) $(test_path_SOURCES) \
	$(test_range_SOURCES) $(test_rsync_SOURCES) \
	$(test_sar_SOURCES) $(test_scrambler_SOURCES) \
	$(test_smart_pointer_SOURCES) $(test_storage_SOURCES) \
	$(test_terminateur_SOURCES) $(test_tronc_SOURCES) \
	$(test_tronconneuse_SOURCES) $(test_truncate_SOURCES) \
	$(test_tuyau_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CXXSTDFLAGS = @CXXSTDFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOXYGEN_PROG = @DOXYGEN_PROG@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
GMSGFMT = @GMSGFMT@
GMSGFMT_015 = @GMSGFMT_015@
GPGME_CFLAGS = @GPGME_CFLAGS@
GPGME_CONFIG = @GPGME_CONFIG@
GPGME_LIBS = @GPGME_LIBS@
GREP = @GREP@
HAS_DOT = @HAS_DOT@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
INTLLIBS = @INTLLIBS@
INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBCURL_CFLAGS = @LIBCURL_CFLAGS@
LIBCURL_LIBS = @LIBCURL_LIBS@
LIBICONV = @LIBICONV@
LIBINTL = @LIBINTL@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTHREADAR_CFLAGS = @LIBTHREADAR_CFLAGS@
LIBTHREADAR_LIBS = @LIBTHREADAR_LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBICONV = @LTLIBICONV@
LTLIBINTL = @LTLIBINTL@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MSGFMT = @MSGFMT@
MSGMERGE = @MSGMERGE@
MSGMERGE_FOR_MSGFMT_OPTION = @MSGMERGE_FOR_MSGFMT_OPTION@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
POSUB = @POSUB@
PYEXT = @PYEXT@
PYFLAGS = @PYFLAGS@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
UPX_PROG = @UPX_PROG@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XGETTEXT_015 = @XGETTEXT_015@
XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dot = @dot@
doxygen = @doxygen@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
groff = @groff@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgconfigdir = @pkgconfigdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
tmp = @tmp@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
upx = @upx@
@BUILD_MODE32_FALSE@@BUILD_MODE64_FALSE@MYLIB = libdar
@BUILD_MODE32_FALSE@@BUILD_MODE64_TRUE@MYLIB = libdar64
@BUILD_MODE32_TRUE@MYLIB = libdar32
@BUILD_MODE32_FALSE@@BUILD_MODE64_FALSE@AM_CPPFLAGS = -I'$(srcdir)/../dar_suite' -I'$(srcdir)/../libdar' -I../dar_suite -DDAR_LOCALEDIR=\"$(localedir)\"  -DDAR_SYS_DIR=\"$(system_path)\" $(CPP_PROF) $(GPGME_CFLAGS) $(LIBCURL_CFLAGS) $(LIBTHREADAR_CFLAGS)
@BUILD_MODE32_FALSE@@BUILD_MODE64_TRUE@AM_CPPFLAGS = -DLIBDAR_MODE=64 -I'$(srcdir)/../dar_suite' -I'$(srcdir)/../libdar' -I../dar_suite -DDAR_LOCALEDIR=\"$(localedir)\" -DDAR_SYS_DIR=\"$(system_path)\" $(CPP_PROF) $(GPGME_CFLAGS) $(LIBCURL_CFLAGS) $(LIBTHREADAR_CFLAGS)
@BUILD_MODE32_TRUE@AM_CPPFLAGS = -DLIBDAR_MODE=32 -I'$(srcdir)/../dar_suite' -I'$(srcdir)/../libdar' -I../dar_suite -DDAR_LOCALEDIR=\"$(localedir)\" -DDAR_SYS_DIR=\"$(system_path)\" $(CPP_PROF) $(GPGME_CFLAGS) $(LIBCURL_CFLAGS) $(LIBTHREADAR_CFLAGS)
@WITH_LIBTHREADAR_FALSE@LIBTHREADAR_TEST_MODULES = 
@WITH_LIBTHREADAR_TRUE@LIBTHREADAR_TEST_MODULES = test_heap test_parallel_tronconneuse test_block_compressor
LDADD = ../libdar/$(MYLIB).la $(LIBCURL_LIBS) $(GPGME_LIBS) $(LIBTHREADAR_LIBS) $(LTLIBINTL)
@DEBUG_STATIC_FALSE@AM_LDFLAGS = 
@DEBUG_STATIC_TRUE@AM_LDFLAGS = -all-static
noinst_HEADERS = testtools.hpp
test_hide_file_SOURCES = test_hide_file.cpp
test_hide_file_LDADD = ../dar_suite/no_comment.o ../dar_suite/hide_file.o ../dar_suite/config_file.o $(LDADD)
test_hide_file_DEPENDENCIES = ../libdar/$(MYLIB).la
test_terminateur_SOURCES = test_terminateur.cpp
test_terminateur_DEPENDENCIES = ../libdar/$(MYLIB).la
test_catalogue_SOURCES = test_catalogue.cpp
test_catalogue_DEPENDENCIES = ../libdar/$(MYLIB).la
test_infinint_SOURCES = test_infinint.cpp
test_infinint_DEPENDENCIES = ../libdar/$(MYLIB).la
test_tronc_SOURCES = test_tronc.cpp testtools.cpp
test_tronc_DEPENDENCIES = ../libdar/$(MYLIB).la
test_compressor_SOURCES = test_compressor.cpp
test_compressor_DEPENDENCIES = ../libdar/$(MYLIB).la
test_mask_SOURCES = test_mask.cpp
test_mask_DEPENDENCIES = ../libdar/$(MYLIB).la
test_tuyau_SOURCES = test_tuyau.cpp
test_tuyau_LDADD = ../dar_suite/dar_suite.o ../dar_suite/line_tools.o $(LDADD)
test_tuyau_DEPENDENCIES = ../libdar/$(MYLIB).la
test_deci_SOURCES = test_deci.cpp
test_deci_DEPENDENCIES = ../libdar/$(MYLIB).la
test_path_SOURCES = test_path.cpp
test_path_DEPENDENCIES = ../libdar/$(MYLIB).la
test_erreurs_SOURCES = test_erreurs.cpp testtools.cpp
test_erreurs_DEPENDENCIES = ../libdar/$(MYLIB).la
test_sar_SOURCES = test_sar.cpp testtools.cpp
test_sar_DEPENDENCIES = ../libdar/$(MYLIB).la
test_filesystem_SOURCES = test_filesystem.cpp
test_filesystem_DEPENDENCIES = ../libdar/$(MYLIB).la
test_scrambler_SOURCES = test_scrambler.cpp
test_scrambler_LDADD = ../dar_suite/dar_suite.o ../dar_suite/line_tools.o $(LDADD)
test_scrambler_DEPENDENCIES = ../libdar/$(MYLIB).la
test_generic_file_SOURCES = test_generic_file.cpp
test_generic_file_DEPENDENCIES = ../libdar/$(MYLIB).la
test_storage_SOURCES = test_storage.cpp
test_storage_DEPENDENCIES = ../libdar/$(MYLIB).la
test_limitint_SOURCES = test_limitint.cpp
test_limitint_DEPENDENCIES = ../libdar/$(MYLIB).la
test_limitint_CXXFLAGS = -Wno-long-long
test_libdar_SOURCES = test_libdar.cpp
test_libdar_DEPENDENCIES = ../libdar/$(MYLIB).la $(srcdir)/../libdar/libdar.hpp $(srcdir)/../libdar/tools.hpp
test_cache_SOURCES = test_cache.cpp
test_cache_DEPENDENCIES = ../libdar/$(MYLIB).la $(srcdir)/../libdar/libdar.hpp $(srcdir)/../libdar/tools.hpp
test_tronconneuse_SOURCES = test_tronconneuse.cpp
test_tronconneuse_DEPENDENCIES = ../libdar/$(MYLIB).la
test_elastic_SOURCES = test_elastic.cpp
test_elastic_DEPENDENCIES = ../libdar/$(MYLIB).la
test_blowfish_SOURCES = test_blowfish.cpp
test_blowfish_DEPENDENCIES = ../libdar/$(MYLIB).la
test_mask_list_SOURCES = test_mask_list.cpp
test_mask_list_DEPENDENCIES = ../libdar/$(MYLIB).la
test_escape_SOURCES = test_escape.cpp
test_escape_DEPENDENCIES = ../libdar/$(MYLIB).la
test_hash_fichier_SOURCES = test_hash_fichier.cpp
test_hash_fichier_DEPENDENCIES = ../libdar/$(MYLIB).la
moving_file_SOURCES = moving_file.cpp
hashsum_SOURCES = hashsum.c
hashsum_CPPFLAGS = -I'$(srcdir)/../libdar' -DDAR_LOCALEDIR=\"$(localedir)\" -DDAR_SYS_DIR=\"$(system_path)\" $(CPP_PROF)
test_crypto_asym_SOURCES = test_crypto_asym.cpp
test_crypto_asym_DEPENDENCIES = ../libdar/$(MYLIB).la
test_range_SOURCES = test_range.cpp
test_range_DEPENDENCIES = ../libdar/$(MYLIB).la
test_rsync_SOURCES = test_rsync.cpp
test_rsync_DEPENDENCIES = ../libdar/$(MYLIB).la
test_smart_pointer_SOURCES = test_smart_pointer.cpp
test_smart_pointer_DEPENDENCIES = ../libdar/$(MYLIB).la
test_datetime_SOURCES = test_datetime.cpp
test_datetime_DEPENDENCIES = ../libdar/$(MYLIB).la
test_entrepot_libcurl_SOURCES = test_entrepot_libcurl.cpp
test_entrepot_libcurl_DEPENDENCIES = ../libdar/$(MYLIB).la
test_truncate_SOURCES = test_truncate.cpp
test_truncate_DEPENDENCIES = ../libdar/$(MYLIB).la
test_heap_SOURCES = test_heap.cpp
test_heap_DEPENDENCIES = ../libdar/$(MYLIB).la
test_parallel_tronconneuse_SOURCES = test_parallel_tronconneuse.cpp
test_parallel_tronconneuse_DEPENDENCIES = ../libdar/$(MYLIB).la
test_block_compressor_SOURCES = test_block_compressor.cpp
test_block_compressor_DEPENDENCIES = ../libdar/$(MYLIB).la
test_mycurl_param_list_SOURCES = test_mycurl_param_list.cpp
test_mycurl_param_list_DEPENDENCIES = ../libdar/$(MYLIB).la
all: all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/testing/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/testing/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
	echo " rm -f" $$list; \
	rm -f $$list || exit $$?; \
	test -n "$(EXEEXT)" || exit 0; \
	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
	echo " rm -f" $$list; \
	rm -f $$list

hashsum$(EXEEXT): $(hashsum_OBJECTS) $(hashsum_DEPENDENCIES) $(EXTRA_hashsum_DEPENDENCIES) 
	@rm -f hashsum$(EXEEXT)
	$(AM_V_CCLD)$(LINK) $(hashsum_OBJECTS) $(hashsum_LDADD) $(LIBS)

moving_file$(EXEEXT): $(moving_file_OBJECTS) $(moving_file_DEPENDENCIES) $(EXTRA_moving_file_DEPENDENCIES) 
	@rm -f moving_file$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(moving_file_OBJECTS) $(moving_file_LDADD) $(LIBS)

test_block_compressor$(EXEEXT): $(test_block_compressor_OBJECTS) $(test_block_compressor_DEPENDENCIES) $(EXTRA_test_block_compressor_DEPENDENCIES) 
	@rm -f test_block_compressor$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_block_compressor_OBJECTS) $(test_block_compressor_LDADD) $(LIBS)

test_blowfish$(EXEEXT): $(test_blowfish_OBJECTS) $(test_blowfish_DEPENDENCIES) $(EXTRA_test_blowfish_DEPENDENCIES) 
	@rm -f test_blowfish$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_blowfish_OBJECTS) $(test_blowfish_LDADD) $(LIBS)

test_cache$(EXEEXT): $(test_cache_OBJECTS) $(test_cache_DEPENDENCIES) $(EXTRA_test_cache_DEPENDENCIES) 
	@rm -f test_cache$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_cache_OBJECTS) $(test_cache_LDADD) $(LIBS)

test_catalogue$(EXEEXT): $(test_catalogue_OBJECTS) $(test_catalogue_DEPENDENCIES) $(EXTRA_test_catalogue_DEPENDENCIES) 
	@rm -f test_catalogue$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_catalogue_OBJECTS) $(test_catalogue_LDADD) $(LIBS)

test_compressor$(EXEEXT): $(test_compressor_OBJECTS) $(test_compressor_DEPENDENCIES) $(EXTRA_test_compressor_DEPENDENCIES) 
	@rm -f test_compressor$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_compressor_OBJECTS) $(test_compressor_LDADD) $(LIBS)

test_crypto_asym$(EXEEXT): $(test_crypto_asym_OBJECTS) $(test_crypto_asym_DEPENDENCIES) $(EXTRA_test_crypto_asym_DEPENDENCIES) 
	@rm -f test_crypto_asym$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_crypto_asym_OBJECTS) $(test_crypto_asym_LDADD) $(LIBS)

test_datetime$(EXEEXT): $(test_datetime_OBJECTS) $(test_datetime_DEPENDENCIES) $(EXTRA_test_datetime_DEPENDENCIES) 
	@rm -f test_datetime$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_datetime_OBJECTS) $(test_datetime_LDADD) $(LIBS)

test_deci$(EXEEXT): $(test_deci_OBJECTS) $(test_deci_DEPENDENCIES) $(EXTRA_test_deci_DEPENDENCIES) 
	@rm -f test_deci$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_deci_OBJECTS) $(test_deci_LDADD) $(LIBS)

test_elastic$(EXEEXT): $(test_elastic_OBJECTS) $(test_elastic_DEPENDENCIES) $(EXTRA_test_elastic_DEPENDENCIES) 
	@rm -f test_elastic$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_elastic_OBJECTS) $(test_elastic_LDADD) $(LIBS)

test_entrepot_libcurl$(EXEEXT): $(test_entrepot_libcurl_OBJECTS) $(test_entrepot_libcurl_DEPENDENCIES) $(EXTRA_test_entrepot_libcurl_DEPENDENCIES) 
	@rm -f test_entrepot_libcurl$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_entrepot_libcurl_OBJECTS) $(test_entrepot_libcurl_LDADD) $(LIBS)

test_erreurs$(EXEEXT): $(test_erreurs_OBJECTS) $(test_erreurs_DEPENDENCIES) $(EXTRA_test_erreurs_DEPENDENCIES) 
	@rm -f test_erreurs$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_erreurs_OBJECTS) $(test_erreurs_LDADD) $(LIBS)

test_escape$(EXEEXT): $(test_escape_OBJECTS) $(test_escape_DEPENDENCIES) $(EXTRA_test_escape_DEPENDENCIES) 
	@rm -f test_escape$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_escape_OBJECTS) $(test_escape_LDADD) $(LIBS)

test_filesystem$(EXEEXT): $(test_filesystem_OBJECTS) $(test_filesystem_DEPENDENCIES) $(EXTRA_test_filesystem_DEPENDENCIES) 
	@rm -f test_filesystem$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_filesystem_OBJECTS) $(test_filesystem_LDADD) $(LIBS)

test_generic_file$(EXEEXT): $(test_generic_file_OBJECTS) $(test_generic_file_DEPENDENCIES) $(EXTRA_test_generic_file_DEPENDENCIES) 
	@rm -f test_generic_file$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_generic_file_OBJECTS) $(test_generic_file_LDADD) $(LIBS)

test_hash_fichier$(EXEEXT): $(test_hash_fichier_OBJECTS) $(test_hash_fichier_DEPENDENCIES) $(EXTRA_test_hash_fichier_DEPENDENCIES) 
	@rm -f test_hash_fichier$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_hash_fichier_OBJECTS) $(test_hash_fichier_LDADD) $(LIBS)

test_heap$(EXEEXT): $(test_heap_OBJECTS) $(test_heap_DEPENDENCIES) $(EXTRA_test_heap_DEPENDENCIES) 
	@rm -f test_heap$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_heap_OBJECTS) $(test_heap_LDADD) $(LIBS)

test_hide_file$(EXEEXT): $(test_hide_file_OBJECTS) $(test_hide_file_DEPENDENCIES) $(EXTRA_test_hide_file_DEPENDENCIES) 
	@rm -f test_hide_file$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_hide_file_OBJECTS) $(test_hide_file_LDADD) $(LIBS)

test_infinint$(EXEEXT): $(test_infinint_OBJECTS) $(test_infinint_DEPENDENCIES) $(EXTRA_test_infinint_DEPENDENCIES) 
	@rm -f test_infinint$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_infinint_OBJECTS) $(test_infinint_LDADD) $(LIBS)

test_libdar$(EXEEXT): $(test_libdar_OBJECTS) $(test_libdar_DEPENDENCIES) $(EXTRA_test_libdar_DEPENDENCIES) 
	@rm -f test_libdar$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_libdar_OBJECTS) $(test_libdar_LDADD) $(LIBS)

test_limitint$(EXEEXT): $(test_limitint_OBJECTS) $(test_limitint_DEPENDENCIES) $(EXTRA_test_limitint_DEPENDENCIES) 
	@rm -f test_limitint$(EXEEXT)
	$(AM_V_CXXLD)$(test_limitint_LINK) $(test_limitint_OBJECTS) $(test_limitint_LDADD) $(LIBS)

test_mask$(EXEEXT): $(test_mask_OBJECTS) $(test_mask_DEPENDENCIES) $(EXTRA_test_mask_DEPENDENCIES) 
	@rm -f test_mask$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_mask_OBJECTS) $(test_mask_LDADD) $(LIBS)

test_mask_list$(EXEEXT): $(test_mask_list_OBJECTS) $(test_mask_list_DEPENDENCIES) $(EXTRA_test_mask_list_DEPENDENCIES) 
	@rm -f test_mask_list$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_mask_list_OBJECTS) $(test_mask_list_LDADD) $(LIBS)

test_mycurl_param_list$(EXEEXT): $(test_mycurl_param_list_OBJECTS) $(test_mycurl_param_list_DEPENDENCIES) $(EXTRA_test_mycurl_param_list_DEPENDENCIES) 
	@rm -f test_mycurl_param_list$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_mycurl_param_list_OBJECTS) $(test_mycurl_param_list_LDADD) $(LIBS)

test_parallel_tronconneuse$(EXEEXT): $(test_parallel_tronconneuse_OBJECTS) $(test_parallel_tronconneuse_DEPENDENCIES) $(EXTRA_test_parallel_tronconneuse_DEPENDENCIES) 
	@rm -f test_parallel_tronconneuse$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_parallel_tronconneuse_OBJECTS) $(test_parallel_tronconneuse_LDADD) $(LIBS)

test_path$(EXEEXT): $(test_path_OBJECTS) $(test_path_DEPENDENCIES) $(EXTRA_test_path_DEPENDENCIES) 
	@rm -f test_path$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_path_OBJECTS) $(test_path_LDADD) $(LIBS)

test_range$(EXEEXT): $(test_range_OBJECTS) $(test_range_DEPENDENCIES) $(EXTRA_test_range_DEPENDENCIES) 
	@rm -f test_range$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_range_OBJECTS) $(test_range_LDADD) $(LIBS)

test_rsync$(EXEEXT): $(test_rsync_OBJECTS) $(test_rsync_DEPENDENCIES) $(EXTRA_test_rsync_DEPENDENCIES) 
	@rm -f test_rsync$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_rsync_OBJECTS) $(test_rsync_LDADD) $(LIBS)

test_sar$(EXEEXT): $(test_sar_OBJECTS) $(test_sar_DEPENDENCIES) $(EXTRA_test_sar_DEPENDENCIES) 
	@rm -f test_sar$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_sar_OBJECTS) $(test_sar_LDADD) $(LIBS)

test_scrambler$(EXEEXT): $(test_scrambler_OBJECTS) $(test_scrambler_DEPENDENCIES) $(EXTRA_test_scrambler_DEPENDENCIES) 
	@rm -f test_scrambler$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_scrambler_OBJECTS) $(test_scrambler_LDADD) $(LIBS)

test_smart_pointer$(EXEEXT): $(test_smart_pointer_OBJECTS) $(test_smart_pointer_DEPENDENCIES) $(EXTRA_test_smart_pointer_DEPENDENCIES) 
	@rm -f test_smart_pointer$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_smart_pointer_OBJECTS) $(test_smart_pointer_LDADD) $(LIBS)

test_storage$(EXEEXT): $(test_storage_OBJECTS) $(test_storage_DEPENDENCIES) $(EXTRA_test_storage_DEPENDENCIES) 
	@rm -f test_storage$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_storage_OBJECTS) $(test_storage_LDADD) $(LIBS)

test_terminateur$(EXEEXT): $(test_terminateur_OBJECTS) $(test_terminateur_DEPENDENCIES) $(EXTRA_test_terminateur_DEPENDENCIES) 
	@rm -f test_terminateur$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_terminateur_OBJECTS) $(test_terminateur_LDADD) $(LIBS)

test_tronc$(EXEEXT): $(test_tronc_OBJECTS) $(test_tronc_DEPENDENCIES) $(EXTRA_test_tronc_DEPENDENCIES) 
	@rm -f test_tronc$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_tronc_OBJECTS) $(test_tronc_LDADD) $(LIBS)

test_tronconneuse$(EXEEXT): $(test_tronconneuse_OBJECTS) $(test_tronconneuse_DEPENDENCIES) $(EXTRA_test_tronconneuse_DEPENDENCIES) 
	@rm -f test_tronconneuse$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_tronconneuse_OBJECTS) $(test_tronconneuse_LDADD) $(LIBS)

test_truncate$(EXEEXT): $(test_truncate_OBJECTS) $(test_truncate_DEPENDENCIES) $(EXTRA_test_truncate_DEPENDENCIES) 
	@rm -f test_truncate$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_truncate_OBJECTS) $(test_truncate_LDADD) $(LIBS)

test_tuyau$(EXEEXT): $(test_tuyau_OBJECTS) $(test_tuyau_DEPENDENCIES) $(EXTRA_test_tuyau_DEPENDENCIES) 
	@rm -f test_tuyau$(EXEEXT)
	$(AM_V_CXXLD)$(CXXLINK) $(test_tuyau_OBJECTS) $(test_tuyau_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hashsum-hashsum.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/moving_file.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_block_compressor.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_blowfish.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_cache.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_catalogue.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compressor.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_crypto_asym.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_datetime.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_deci.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_elastic.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_entrepot_libcurl.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_erreurs.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_escape.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_filesystem.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_generic_file.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_hash_fichier.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_heap.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_hide_file.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_infinint.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_libdar.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_limitint-test_limitint.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mask.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mask_list.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_mycurl_param_list.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parallel_tronconneuse.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_path.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_range.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_rsync.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_sar.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_scrambler.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_smart_pointer.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_storage.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_terminateur.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tronc.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tronconneuse.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_truncate.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tuyau.Po@am__quote@ # am--include-marker
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testtools.Po@am__quote@ # am--include-marker

$(am__depfiles_remade):
	@$(MKDIR_P) $(@D)
	@echo '# dummy' >$@-t && $(am__mv) $@-t $@

am--depfiles: $(am__depfiles_remade)

.c.o:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<

.c.obj:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<

hashsum-hashsum.o: hashsum.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hashsum_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hashsum-hashsum.o -MD -MP -MF $(DEPDIR)/hashsum-hashsum.Tpo -c -o hashsum-hashsum.o `test -f 'hashsum.c' || echo '$(srcdir)/'`hashsum.c
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hashsum-hashsum.Tpo $(DEPDIR)/hashsum-hashsum.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hashsum.c' object='hashsum-hashsum.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hashsum_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hashsum-hashsum.o `test -f 'hashsum.c' || echo '$(srcdir)/'`hashsum.c

hashsum-hashsum.obj: hashsum.c
@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hashsum_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hashsum-hashsum.obj -MD -MP -MF $(DEPDIR)/hashsum-hashsum.Tpo -c -o hashsum-hashsum.obj `if test -f 'hashsum.c'; then $(CYGPATH_W) 'hashsum.c'; else $(CYGPATH_W) '$(srcdir)/hashsum.c'; fi`
@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hashsum-hashsum.Tpo $(DEPDIR)/hashsum-hashsum.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hashsum.c' object='hashsum-hashsum.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hashsum_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hashsum-hashsum.obj `if test -f 'hashsum.c'; then $(CYGPATH_W) 'hashsum.c'; else $(CYGPATH_W) '$(srcdir)/hashsum.c'; fi`

.cpp.o:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<

test_limitint-test_limitint.o: test_limitint.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_limitint_CXXFLAGS) $(CXXFLAGS) -MT test_limitint-test_limitint.o -MD -MP -MF $(DEPDIR)/test_limitint-test_limitint.Tpo -c -o test_limitint-test_limitint.o `test -f 'test_limitint.cpp' || echo '$(srcdir)/'`test_limitint.cpp
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_limitint-test_limitint.Tpo $(DEPDIR)/test_limitint-test_limitint.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test_limitint.cpp' object='test_limitint-test_limitint.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_limitint_CXXFLAGS) $(CXXFLAGS) -c -o test_limitint-test_limitint.o `test -f 'test_limitint.cpp' || echo '$(srcdir)/'`test_limitint.cpp

test_limitint-test_limitint.obj: test_limitint.cpp
@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_limitint_CXXFLAGS) $(CXXFLAGS) -MT test_limitint-test_limitint.obj -MD -MP -MF $(DEPDIR)/test_limitint-test_limitint.Tpo -c -o test_limitint-test_limitint.obj `if test -f 'test_limitint.cpp'; then $(CYGPATH_W) 'test_limitint.cpp'; else $(CYGPATH_W) '$(srcdir)/test_limitint.cpp'; fi`
@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_limitint-test_limitint.Tpo $(DEPDIR)/test_limitint-test_limitint.Po
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test_limitint.cpp' object='test_limitint-test_limitint.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_limitint_CXXFLAGS) $(CXXFLAGS) -c -o test_limitint-test_limitint.obj `if test -f 'test_limitint.cpp'; then $(CYGPATH_W) 'test_limitint.cpp'; else $(CYGPATH_W) '$(srcdir)/test_limitint.cpp'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-am
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-am

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-am

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(HEADERS)
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-am
		-rm -f ./$(DEPDIR)/hashsum-hashsum.Po
	-rm -f ./$(DEPDIR)/moving_file.Po
	-rm -f ./$(DEPDIR)/test_block_compressor.Po
	-rm -f ./$(DEPDIR)/test_blowfish.Po
	-rm -f ./$(DEPDIR)/test_cache.Po
	-rm -f ./$(DEPDIR)/test_catalogue.Po
	-rm -f ./$(DEPDIR)/test_compressor.Po
	-rm -f ./$(DEPDIR)/test_crypto_asym.Po
	-rm -f ./$(DEPDIR)/test_datetime.Po
	-rm -f ./$(DEPDIR)/test_deci.Po
	-rm -f ./$(DEPDIR)/test_elastic.Po
	-rm -f ./$(DEPDIR)/test_entrepot_libcurl.Po
	-rm -f ./$(DEPDIR)/test_erreurs.Po
	-rm -f ./$(DEPDIR)/test_escape.Po
	-rm -f ./$(DEPDIR)/test_filesystem.Po
	-rm -f ./$(DEPDIR)/test_generic_file.Po
	-rm -f ./$(DEPDIR)/test_hash_fichier.Po
	-rm -f ./$(DEPDIR)/test_heap.Po
	-rm -f ./$(DEPDIR)/test_hide_file.Po
	-rm -f ./$(DEPDIR)/test_infinint.Po
	-rm -f ./$(DEPDIR)/test_libdar.Po
	-rm -f ./$(DEPDIR)/test_limitint-test_limitint.Po
	-rm -f ./$(DEPDIR)/test_mask.Po
	-rm -f ./$(DEPDIR)/test_mask_list.Po
	-rm -f ./$(DEPDIR)/test_mycurl_param_list.Po
	-rm -f ./$(DEPDIR)/test_parallel_tronconneuse.Po
	-rm -f ./$(DEPDIR)/test_path.Po
	-rm -f ./$(DEPDIR)/test_range.Po
	-rm -f ./$(DEPDIR)/test_rsync.Po
	-rm -f ./$(DEPDIR)/test_sar.Po
	-rm -f ./$(DEPDIR)/test_scrambler.Po
	-rm -f ./$(DEPDIR)/test_smart_pointer.Po
	-rm -f ./$(DEPDIR)/test_storage.Po
	-rm -f ./$(DEPDIR)/test_terminateur.Po
	-rm -f ./$(DEPDIR)/test_tronc.Po
	-rm -f ./$(DEPDIR)/test_tronconneuse.Po
	-rm -f ./$(DEPDIR)/test_truncate.Po
	-rm -f ./$(DEPDIR)/test_tuyau.Po
	-rm -f ./$(DEPDIR)/testtools.Po
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man:

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
		-rm -f ./$(DEPDIR)/hashsum-hashsum.Po
	-rm -f ./$(DEPDIR)/moving_file.Po
	-rm -f ./$(DEPDIR)/test_block_compressor.Po
	-rm -f ./$(DEPDIR)/test_blowfish.Po
	-rm -f ./$(DEPDIR)/test_cache.Po
	-rm -f ./$(DEPDIR)/test_catalogue.Po
	-rm -f ./$(DEPDIR)/test_compressor.Po
	-rm -f ./$(DEPDIR)/test_crypto_asym.Po
	-rm -f ./$(DEPDIR)/test_datetime.Po
	-rm -f ./$(DEPDIR)/test_deci.Po
	-rm -f ./$(DEPDIR)/test_elastic.Po
	-rm -f ./$(DEPDIR)/test_entrepot_libcurl.Po
	-rm -f ./$(DEPDIR)/test_erreurs.Po
	-rm -f ./$(DEPDIR)/test_escape.Po
	-rm -f ./$(DEPDIR)/test_filesystem.Po
	-rm -f ./$(DEPDIR)/test_generic_file.Po
	-rm -f ./$(DEPDIR)/test_hash_fichier.Po
	-rm -f ./$(DEPDIR)/test_heap.Po
	-rm -f ./$(DEPDIR)/test_hide_file.Po
	-rm -f ./$(DEPDIR)/test_infinint.Po
	-rm -f ./$(DEPDIR)/test_libdar.Po
	-rm -f ./$(DEPDIR)/test_limitint-test_limitint.Po
	-rm -f ./$(DEPDIR)/test_mask.Po
	-rm -f ./$(DEPDIR)/test_mask_list.Po
	-rm -f ./$(DEPDIR)/test_mycurl_param_list.Po
	-rm -f ./$(DEPDIR)/test_parallel_tronconneuse.Po
	-rm -f ./$(DEPDIR)/test_path.Po
	-rm -f ./$(DEPDIR)/test_range.Po
	-rm -f ./$(DEPDIR)/test_rsync.Po
	-rm -f ./$(DEPDIR)/test_sar.Po
	-rm -f ./$(DEPDIR)/test_scrambler.Po
	-rm -f ./$(DEPDIR)/test_smart_pointer.Po
	-rm -f ./$(DEPDIR)/test_storage.Po
	-rm -f ./$(DEPDIR)/test_terminateur.Po
	-rm -f ./$(DEPDIR)/test_tronc.Po
	-rm -f ./$(DEPDIR)/test_tronconneuse.Po
	-rm -f ./$(DEPDIR)/test_truncate.Po
	-rm -f ./$(DEPDIR)/test_tuyau.Po
	-rm -f ./$(DEPDIR)/testtools.Po
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-am clean \
	clean-generic clean-libtool clean-noinstPROGRAMS cscopelist-am \
	ctags ctags-am distclean distclean-compile distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am

.PRECIOUS: Makefile


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
